Origin: upstream, https://github.com/hashicorp/go-cleanhttp/commit/d3fcbee8e1810ecee4bdbf415f42f84cfd0e3361
From: Jeff Mitchell <jeffrey.mitchell@gmail.com>
Date: Sat, 6 Apr 2019 12:20:18 -0400
Subject: [PATCH] Fix tests against newer Go

Fixes #14

--- a/handlers_test.go
+++ b/handlers_test.go
@@ -29,24 +29,24 @@
 			input:      &HandlerInput{},
 		},
 
 		"invalid newline": {
-			path:       "/invalid\n",
+			path:       "/invalid%0A",
 			expectCode: http.StatusBadRequest,
 		},
 
 		"invalid carriage return": {
-			path:       "/invalid\r",
+			path:       "/invalid%0D",
 			expectCode: http.StatusBadRequest,
 		},
 
 		"invalid null": {
-			path:       "/invalid\x00",
+			path:       "/invalid%00",
 			expectCode: http.StatusBadRequest,
 		},
 
 		"invalid alternate status": {
-			path:       "/invalid\n",
+			path:       "/invalid%0A",
 			expectCode: http.StatusInternalServerError,
 			input: &HandlerInput{
 				ErrStatus: http.StatusInternalServerError,
 			},
